/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../../style/utils/animations';
@import '../../style/utils/spacing';

:host {

  --border-bottom-display: block;

  align-items: center;
  background-color: transparent;
  border-radius: 0;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  line-height: inherit;
  min-height: 52px;
  position: relative;
  text-decoration: inherit;
  width: 100%;

  &::after {
    background-color: var(--nv-border-color);
    bottom: 0;
    content: '';
    display: var(--border-bottom-display);
    height: 1px;
    left: 0;
    position: absolute;
    width: 100%;
  }

  &::before {
    @extend .transition-exit;
    background-color: var(--nv-theme-alt-2);
    content: '';
    height: 100%;
    left: 0;
    opacity: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
  }

  &.last-child::after {
    display: none;
  }

  ul {
    display: flex;
    flex-direction: column;
    margin-bottom: 0;
    padding-left: 0;
    width: 100%;
  }


  .default-slot slot ~ .default-slot {
    display: none;
  }
}

:host(:hover)::before {
  @extend .transition-entrance;
  opacity: 0.55;
}

//
// Titles
//

.nv-list-title {
  align-items: center;
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  width: 100%;

  &:empty {
    display: none;
  }
}

.nv-list-first-name {
  display: inline-block;
  font-family: 'FiraGO Bold';
  white-space: pre-wrap;
}

.nv-list-last-name {
  display: unset;
  white-space: pre-wrap;
}

.nv-list-primary-text {
  color: var(--nv-type-secondary);
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%;
}

.nv-list-sub-title {
  color: var(--nv-type-secondary);
  display: block;
  margin-top: $space-sm;

  &:empty {
    display: none;
  }
}

.nv-list-sub-header {
  border-bottom-color: transparent;
  border-bottom-width: 0;
  display: block;
  list-style: none;
  margin-top: 20px;
  padding-left: 0;
  padding-right: 0;
}

.nv-sub-header {
  padding: $space-default $space-sm;
}

.nv-list-header {
  background-color: var(--nv-theme);
  z-index: 2;
}

.nv-list-subject {
  display: block;
  font-family: 'FiraGO Bold';
  margin-top: $space-sm;
  white-space: pre-wrap;
  width: 100%;
}

.nv-list-message {
  color: var(--nv-type-secondary);
  margin-top: $space-sm;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}


.nv-list-title-container {
  align-items: center;
  display: flex;
  flex-basis: 0;
  flex-grow: 1;
  flex-wrap: wrap;
  overflow: hidden;
  text-overflow: ellipsis;

  &:empty {
    display: none;
  }
}

//
// Container
//

.nv-list-item-container {
  display: block;
  position: relative;
  width: 100%;
  z-index: 2;

  time {
    color: var(--nv-type-secondary);
    font-family: 'FiraGO Italic';
    font-size: 12px;
  }

  > div:first-child {
    align-content: center;
    display: flex;
    max-width: 100%;
    width: 100%;
  }
}

//
// Slots
//

.nv-list-slot-end,
.nv-list-slot-start {
  align-items: center;
  display: none;
  justify-content: center;

  &:empty {
    display: none;
  }

  img,
  svg {
    height: 100%;
    width: 100%;
  }
}

.display-start-slot .nv-list-slot-start {
  display: flex;
}

.display-end-slot .nv-list-slot-end {
  display: flex;
}

.nv-list-slot-end {
  margin-left: $space-default;
}

.nv-list-slot-start {
  margin-right: $space-default;
}

.nv-avatar-slot {
  align-items: center;
  display: flex;
  justify-content: center;
  margin-left: $space-sm;

  &:empty {
    display: none;
  }
}

//
// Ripples
//

.nv-ripples {
  z-index: 1;
}

.nv-avatar {
  background-color: var(--nv-theme-alt-1);
}
